Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class AdventureFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          com.huguesjohnson.tiamat.graphics.AdventureFrame

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public abstract class AdventureFrame

extends javax.swing.JFrame

AdventureFrame - a frame for an adventure style game

Author:
  Hugues Johnson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static int` | `DEFAULT_MAX_SELECTIONS`
`protected int` | `maxSelections`
`static int` | `VSCROLL`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AdventureFrame(java.lang.String title, Theme theme, java.awt.Font font)` Create a new instance of AdventureFrame.
`AdventureFrame(java.lang.String title, Theme theme, java.awt.Font font, int maxSelections)` Create a new instance of AdventureFrame.

Method Summary
`protected java.lang.String` | `getBgImagePath()` Returns the full path to the background image.
`protected ImageData[]` | `getObjects()` Returns the objects to be drawn in the object plane.
`protected ImageData[]` | `getOverlays()` Returns the objects to be drawn in the overlay plane.
`Selection[]` | `getSelections()` Returns the selections that appear in the menu.
`java.lang.String` | `getText()` Returns the text in the lower text pane.
`void` | `handleKeyEvent(int keyCode)` Handles key events.
`abstract void` | `onFrameClose()` Event that fires when the frame is closed.
`void` | `paint(java.awt.Graphics g)`
`abstract void` | `postEvent(Event event)` Sends an Event back to the implementing class.
`void` | `redrawImages()` Redraw the images.
`void` | `setBgImagePath(java.lang.String bgImagePath)` Sets the full path to the background image.
`void` | `setBgImagePath(java.lang.String bgImagePath, boolean redraw)` Sets background image.
`void` | `setFont(java.awt.Font font)` Sets the Font to use for text.
`void` | `setObjects(ImageData[] objects)` Sets the objects to be drawn in the object plane.
`void` | `setObjects(ImageData[] objects, boolean redraw)` Sets the object images.
`void` | `setOverlays(ImageData[] overlays)` Sets the objects to be drawn in the overlay plane.
`void` | `setOverlays(ImageData[] overlays, boolean redraw)` Sets the overlay images.
`void` | `setSelections(Selection[] selections)` Sets the selections that appear in the menu.
`void` | `setText(java.lang.String text)` Sets the text in the lower text pane.
`void` | `setTheme(Theme theme)` Sets the Theme to apply to the frame.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### VSCROLL

    public static final int VSCROLL

See Also:
  Constant Field Values

### DEFAULT_MAX_SELECTIONS

    protected static final int DEFAULT_MAX_SELECTIONS

See Also:
  Constant Field Values

### maxSelections

    protected int maxSelections

Constructor Detail

### AdventureFrame

    public AdventureFrame(java.lang.String title,
                          Theme theme,
                          java.awt.Font font)

  Create a new instance of AdventureFrame.

  Parameters:
    `title` - The title of the frame.
    `theme` - The Theme to apply to the frame.
    `font` - The Font to apply to the frame.

### AdventureFrame

    public AdventureFrame(java.lang.String title,
                          Theme theme,
                          java.awt.Font font,
                          int maxSelections)

  Create a new instance of AdventureFrame.

  Parameters:
    `title` - The title of the frame.
    `theme` - The Theme to apply to the frame.
    `font` - The Font to apply to the frame.
    `maxSelections` - the maximum number of items the menu can hold.

Method Detail

### setBgImagePath

    public void setBgImagePath(java.lang.String bgImagePath)

  Sets the full path to the background image. Ths method just calls setBgImagePath(bgImagePath,true).

  Parameters:
    `bgImagePath` - The full path to the background image.

### getBgImagePath

    protected java.lang.String getBgImagePath()

  Returns the full path to the background image.

  Returns:
    The full path to the background image.

### setObjects

    public void setObjects(ImageData[] objects)

  Sets the objects to be drawn in the object plane. Ths method just calls setObjects(objects,true).

  Parameters:
    `objects` - The objects to be drawn in the object plane.

### getObjects

    protected ImageData[] getObjects()

  Returns the objects to be drawn in the object plane.

  Returns:
    The objects to be drawn in the object plane.

### setOverlays

    public void setOverlays(ImageData[] overlays)

  Sets the objects to be drawn in the overlay plane. Ths method just calls setOverlays(overlays,true).

  Parameters:
    `overlays` - The objects to be drawn in the overlay plane.

### getOverlays

    protected ImageData[] getOverlays()

  Returns the objects to be drawn in the overlay plane.

  Returns:
    The objects to be drawn in the overlay plane.

### setTheme

    public void setTheme(Theme theme)

  Sets the Theme to apply to the frame.

  Parameters:
    `theme` - The Theme to apply to the frame.

### setFont

    public void setFont(java.awt.Font font)

  Sets the Font to use for text.

  Overrides:
    `setFont` in class `java.awt.Container`
  Parameters:
    `font` - The Font to apply to the frame.

### setSelections

    public void setSelections(Selection[] selections)

  Sets the selections that appear in the menu.

  Parameters:
    `selections` - The new selections for the menu.

### getSelections

    public Selection[] getSelections()

  Returns the selections that appear in the menu.

  Returns:
    The selections that appear in the menu.

### setText

    public void setText(java.lang.String text)

  Sets the text in the lower text pane.

  Parameters:
    `text` - The text to draw in the lower text pane.

### getText

    public java.lang.String getText()

  Returns the text in the lower text pane.

  Returns:
    The text in the lower text pane.

### postEvent

    public abstract void postEvent(Event event)

  Sends an Event back to the implementing class.

  Parameters:
    `event` - The Event invoked by the user.

### onFrameClose

    public abstract void onFrameClose()

  Event that fires when the frame is closed. Override this if using this frame from an external application.

### setBgImagePath

    public void setBgImagePath(java.lang.String bgImagePath,
                               boolean redraw)

  Sets background image. The default setImagePath method calls this passing true for redraw parameter.

  Parameters:
    `bgImagePath` - The path to the new background image.
    `redraw` - Whether to redraw the image section of the frame.

### redrawImages

    public void redrawImages()

  Redraw the images.

### setObjects

    public void setObjects(ImageData[] objects,
                           boolean redraw)

  Sets the object images. The default setObjects method calls this passing true for redraw parameter.

  Parameters:
    `objects` - The new objects to draw.
    `redraw` - Whether to redraw the image section of the frame.

### setOverlays

    public void setOverlays(ImageData[] overlays,
                            boolean redraw)

  Sets the overlay images. The default setOverlays method calls this passing true for redraw parameter.

  Parameters:
    `overlays` - The new objects to draw.
    `redraw` - Whether to redraw the image section of the frame.

### handleKeyEvent

    public void handleKeyEvent(int keyCode)

  Handles key events.

  Parameters:
    `keyCode` - The code for the key that was pressed.

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `java.awt.Container`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson